function [psi,V,VDk] = initialize(this,Params,VParams,Transf)
    % == User-defined potential == %
    V = this.Potential;
    assert(~anynan(V), 'Potential not defined! Specify as <SimulatorObject>.Potential = <PotentialsObject>.trap() + <AdditionalTerms>.');
    
    % == Calculating the DDIs == %
    if this.IncludeDDICutOff
        VDk = this.Calculator.calculateVDkWithCutoff(Transf, Params, VParams.ell);
    else
        VDk = this.Calculator.calculateVDkWithoutCutoff(Transf, Params, VParams.ell);
    end
    
    % == Setting up the initial wavefunction == %
    psi = this.setupWavefunction(Params,Transf);

    if this.RunOnGPU
        psi = gpuArray(psi);
    end
end